## Centralizzazione o decentralizzazione?

Il dominio P2P espone tensioni tra diritti opposti. Le reti decentralizzate per rimanere operative hanno una configurazione unica che si basa su più computer/server. Quindi è generalmente tecnologicamente impossibile per un'autorità centrale imporre l'impostazione del discorso e la condotta di chi la usa che si tratti di chi modera il forum, un team per l'applicazione delle politiche della piattaforma, di un host del dominio o delle forze dell'ordine. Sarah Jamie Lewis di Field Notes in Resistant Tech [scrive](https://fieldnotes.resistant.tech/what-is-decentralization/), "la decentralizzazione è il grado in cui un'entità all'interno del sistema può resistere alla coercizione e funzionare ancora come parte del sistema". Definizioni come queste mostrano come le dimensioni politiche del P2P e della decentralizzazione si intreccino con le specifiche tecniche. In confronto, le reti centralizzate non hanno questi limiti dovuto alla centralizzazione della loro infrastruttura, controllo e protocolli.

Da un punto di vista tecnico, si potrebbe sostenere che la totale libertà di parola non richiederebbe alcuna autorità centralizzata che rimuova o moderi i contenuti. Tuttavia, la possibilità di rimuovere contenuti pericolosi o illegali crea probabilmente uno spazio più aperto e inclusivo per individui emarginati che possono percepire che il loro discorso sia smorzato dall'interfacciarsi con minacce odiose. Pertanto, la moderazione potrebbe anche essere considerata centrale per vivere in un mondo libero dalla violenza fondata sull'odio e per promuovere il dialogo.

Le tecnologie P2P possono proteggere il diritto di [organizzarsi](https://viewer.scuttlebot.i/%25Uh6Qk%2F9ncyKFJWJXDOeLSU1CLIagXc%2BANyT999Ol5dw%3D.sha256) delle persone emarginate per i loro diritti umani, ma quella stessa tecnologia rende possibile a chi sostiene la supremazia bianca di sfruttare la privacy e i sistemi senza censura per promuovere i loro ideali bigotti e razzisti. La stessa tecnologia che rende la tecnologia P2P resiliente contro i censori, la rende anche resiliente contro cose come i disastri naturali e la scarsa connettività Internet. In paesi dove il governo reprime la condivisione delle informazioni o l'accesso a Internet è bloccato, le tecnologie P2P possono aiutare le persone a connettersi.

La centralizzazione, tipo un server controllato da una società, consente di rimuovere rapidamente i contenuti pericolosi, ma mette nelle mani di pochi privilegiati il controllo di ciò che viene definito "pericoloso".

**Il compito importante dell'era P2P è la democratizzazione radicale della responsabilità di mantenere Internet aperta ad argomentazioni problematiche, alla libertà di parola e ai diritti delle persone emarginate alla loro sicurezza online.**

Man mano che le tecnologie decentralizzate matureranno, probabilmente occuperanno porzioni sempre maggiori del nostro uso quotidiano di Internet. Pertanto, le tensioni poste dalle scelte dell'architettura tecnologica - come costruiamo un sito Web o un software - riflettono le tensioni delle diverse libertà.
