## Etica in ambito P2P

C'è una versione della [Legge di Conway](https://it.wikipedia.org/wiki/Legge_di_Conway) che suggerisce che gli strumenti che sviluppiamo riflettano i nostri valori e stili di comunicazione nelle organizzazioni in cui lavoriamo. Nella codifica, una "affordance" è il modo in cui il software viene usato indipendentemente da come è destinato ad essere usato. La nostra tolleranza per certe affordance a livello di codice è un riflesso dei nostri valori nel processo. La diversità dei valori etici e politici, così come le motivazioni ideologiche, nello spazio P2P hanno un impatto sui tipi di strumenti che vengono sviluppati e su come vengono implementati. Ciò che viene costruito e come, è influenzato dal fatto che i suoi progettisti pensano che il bene potenziale di uno strumento sia controbilanciato dai suoi rischi potenziali come l'uso da parte dei sostenitori della supremazia bianca.

Per molti nello spazio P2P, in particolare quelli influenzati da ideologie politiche come il tecno-liberismo, un credo in una combinazione di libertà massimizzata attraverso il libero mercato e la tecnologia, la possibilità di un uso malevolo dei loro strumenti è intesa come un rischio necessario per promuovere obiettivi come la libertà di parola e limitare l'eccesso di potere statale. Per quelli nello spazio P2P più influenzati dalle ideologie di sinistra e di giustizia sociale, le opportunità come l'uso di una tecnologia da parte dei sostenitori della supremazia bianca sono qualcosa da contrastare il più possibile, pur cercando di sfruttare il potenziale dello strumento. Inoltre, c'è una sub-popolazione di persone nello spazio di sviluppo del P2P che si identificano con le ideologie della supremazia bianca, anche se possono assumere la maschera di altre ideologie politiche o di dogwhistle (dissimulazione).


Ci sono anche quelli nello spazio P2P che sono spinti non tanto dall'ideologia politica o morale quanto dalla curiosità delle possibilità tecniche e matematiche. Per questo gruppo, argomenti come [dimostrazione a conoscenza zero](https://it.wikipedia.org/wiki/Dimostrazione_a_conoscenza_zero) - un sistema matematico e tecnico che può provare che una transazione è avvenuta senza rivelare informazioni su nessuna delle parti - sono interessanti di per sé, per il loro ruolo, in cose come la crittografia e le transazioni sicure. Questo gruppo è meno preoccupato del fatto che un dato gruppo, odioso o meno, usi i suoi strumenti ma piuttosto che possa far progredire la tecnologia e la teoria.


A seconda dei valori di una persona nel costruire o utilizzare la tecnologia P2P, lo strumento può rappresentare possibilità molto diverse. Uno sviluppatore di un progetto P2P chiamato Secure Scuttlebutt ha menzionato un esempio di questa tensione nella comunità quando ha discusso "se i livelli più bassi del codice e dei protocolli debbano essere influenzati da preoccupazioni umane o se debbano essere 'neutrali'". Lui, e chi ha più interesse nelle implicazioni sociali e ai contesti di queste tecnologie, tende a vedere la tecnologia come intrinsecamente politica per i modi in cui interagisce ed è formata dai pregiudizi della politica in generale. Chi si concentra su preoccupazioni puramente tecniche o ideali tecno-libertari nello spazio delle criptovalute, tendono a sottolineare l'importanza della "neutralità" a livello di codice come una forma di purezza P2P. Se si pensa che il codice possa essere neutrale o meno, si influenza le affordance considerate accettabili nella tecnologia sviluppata.

Le persone guidate da ideologie di destra nello spazio P2P tendono a concentrarsi maggiormente su cose come le criptovalute e strumenti di libertà di parola estremamente incentrati sulla privacy che hanno maggiori [probabilità](https://www.dailydot.com/upstream/bitchute-decentralization-claims/) di essere abusati da gruppi di odio indipendentemente dall'intenzione di chi sviluppa. Ci sono potenti implicazioni positive sia negli strumenti di privacy P2P che nelle criptovalute, tuttavia è importante riconoscere questo potenziale insieme alle loro possibilità intrinseche.

Chi si concentra maggiormente sulla tecnologia liberatoria influenzata dalla giustizia sociale tende a concentrarsi maggiormente sulla tecnologia P2P orientata a connettere le persone cercando di costruire più protezioni per proteggere dagli abusi. A causa dell'enfasi sulla "neutralità" in gran parte dello spazio blockchain, tendono ad esserci persone più liberali o orientate alla giustizia sociale che gravitano verso i progetti non strettamente basati sulla blockchain come [SSB](https://scuttlebutt.nz/), [il protocollo Hypercore (ex Dat)](https://blog.datproject.org/2020/05/15/dat-protocol-renamed-hypercore-protocol/) o [Holochain](https://holochain.org/). Questi sistemi sono fondamentalmente diversi dai progetti blockchain perché si affidano al potere delle reti di persone umane per definire cosa fa il protocollo piuttosto che affidarsi alla sola matematica.

La realtà di queste comunità è, però, che molte ideologie e motivazioni si sovrappongono e la maggior parte delle persone con cui ho parlato hanno opinioni diverse e complesse su una serie di questi problemi. Le tensioni a livello di codice sono incorporate nel contesto sociale che le crea. La libertà di parola rappresentata da un protocollo P2P non censurabile interagisce con la libertà di non sperimentare la violenza razzista organizzata attraverso lo stesso protocollo. Perciò è importante indagare come alcuni attori stiano respingendo l'odio in uno spazio tecnologico che è, per progettazione, difficile da censurare.


