## Che cos'è il P2P?

Capire la tecnologia P2P richiede innanzitutto comprendere la [decentralizzazione](https://fieldnotes.resistant.tech/what-is-decentralization/). Decentralizzare la tecnologia significa cambiare [radicalmente](https://hacks.mozilla.org/2018/07/introducing-the-d-web/) il modo in cui funziona distribuendo l'autorità piuttosto che privilegiare una parte del sistema (come i server centralizzati di cui sopra). Decentralizzare significa prendere le parti di un sistema e distribuire la responsabilità, la fiducia e il potere in tutto il sistema invece di concentrare tutto in un'unica parte. Generalmente la decentralizzazione evita singoli punti di errore (SPOF), tipo un server, in modo che anche se un centro di alimentazione venisse attaccato non venga compromesso l'intero sistema. Questo estende la responsabilità della rete a più parti in modo più orizzontale. Per illustrare questo concetto rendendolo più accessibile, possiamo confrontare metodi di amministrazione - una dittatura ricorda l'iper-centralizzazione, mentre un sistema più orizzontale e democratico fatto di consigli di amministrazione locale assomiglia alla decentralizzazione.

La decentralizzazione della tecnologia, come altri software, generalmente si basa su protocolli che permettono ai sistemi di funzionare. Un protocollo è un insieme di standard che permettono ai computer di eseguire software o comunicare tra loro. Poiché un protocollo, in questo caso, è solo un linguaggio per la comunicazione, qualsiasi cosa può essere compilata per circolare tra i computer in quel linguaggio. La posta elettronica è un esempio di protocollo. Un protocollo decentralizzato è un linguaggio per una tecnologia decentralizzata per eseguire alcune azioni come trasmettere informazioni. Un client è un tipo di interfaccia utente che consente ad un utente di utilizzare un protocollo. Protonmail e Gmail sono esempi di client che utilizzano il protocollo di posta elettronica.

L'importanza della decentralizzazione, dei protocolli e dei client per la tecnologia P2P avrà più senso se si guarda a cosa sia effettivamente la tecnologia P2P. Il sito web [TechTerms](https://techterms.com/definition/p2p) definisce P2P dicendo:

In una rete P2P, i "peer" sono sistemi di computer che sono collegati tra loro via Internet. I file possono essere condivisi direttamente tra i sistemi della rete senza la necessità di un server centrale. In altre parole, ogni computer su una rete P2P diventa un file [server](https://techterms.com/definition/server) e un *client*.

Per accedere a Facebook il tuo computer chiede a Facebook i dati di qualche pagina e loro te li rimandano da un server centralizzato. Su una rete P2P è possibile ospitare e condividere contenuti direttamente con altri computer. C'è una vasta gamma di tecnologie costruite in questo modo, vanno dai forum P2P alle blockchain di criptovalute. Le comunità di chi sviluppa e usa il P2P comprendono molti movimenti e sistemi d'opinione diversi, dai modelli di economia P2P alle comunità più focalizzate sul web decentralizzato, spesso indicato come il [dweb](https://hacks.mozilla.org/2018/07/introducing-the-d-web) (pronunciato Dee-web). Il Dweb è sostenuto da chi ha posizioni conservatrici sulla libertà di parola alle comunità con basse spese generali e resilienti che usano la rete P2P con dispositivi comuni attraverso un protocollo condiviso noto come "reti-mesh". Ci sono tensioni non solo a livello di opinione, ma anche di codice, tra la libertà di parola e chi aderisce a dweb impegnati nella rimozione di contenuti dannosi o illegali.

In generale, le tecnologie P2P e decentralizzate tendono anche a essere open-source. Secondo il [dictionary.com](https://www.dictionary.com/browse/open--source) open source è "relativo o denota un software il cui codice sorgente è disponibile gratuitamente al pubblico per l'uso, la copia, la modifica, la sub-licenza o la distribuzione".

L'esempio più noto di tecnologia decentralizzata P2P e open-source si può trovare nella tecnologia della blockchain e delle criptovalute. Una [blockchain](https://blog.mozilla.org/firefox/what-is-cryptocurrency/) è fondamentalmente un libro mastro digitale che tiene traccia di chi ha inviato cosa a chi. Il libro mastro è decentralizzato nel senso che qualsiasi computer pubblico o privato può memorizzare i registri delle transazioni della valuta e può prendere parte al processo di verifica matematica dell'accuratezza delle transazioni, che sono anche disponibili pubblicamente. Le criptovalute sono uniche e si basano sulla tecnologia decentralizzata perché si fondano su un trust pubblico che è visibile dalle stesse transazioni e prove matematiche archiviate su diversi computer contemporaneamente e disponibili per la revisione da parte di chiunque, ovunque. Le criptovalute sono molto spesso forme di denaro digitale su una blockchain. Non tutti i progetti blockchain riguardano le valute, ma è l'uso più comune. Quindi il protocollo di una data criptovaluta è il modo in cui funziona, mentre il client sarebbe un portafoglio che ti permette di scambiare quella valuta.

La tecnologia P2P e decentralizzata sono così popolari che anche una piattaforma di social media mainstream come Twitter sta [investendo](https://twitter.com/jack/status/1204766078468911106) in un progetto chiamato BlueSky per sviluppare standard di social media decentralizzati e open-source. Nonostante l'utilizzo di infrastrutture centralizzate, Twitter, Facebook e simili non sono stati in grado di arginare completamente l'ondata di contenuti di odio e disinformazione e sembrano guardare alla decentralizzazione come a una possibile soluzione. Non sorprende che con tutta questa popolarità, anche i protagonisti cattivi ne stiano prendendo nota.

